Documentation Index

Fetch the complete documentation index at: https://docs.xtremepush.com/llms.txt

Use this file to discover all available pages before exploring further.

Cancel journey

Prev Next
Post
/cancel-journey/campaign

Used to cause a user or a list of users to finish a multi-stage journey, preventing them from receiving more messages.

Body parameters
Cancel journey for a user
{
  "apptoken": "YOUR_APPTOKEN",
  "campaign_id": "CAMPAIGN_ID",
  "target_by": "user_id",
  "target": "USER_ID"
}
object
apptoken
string Required

Your app token

campaign_id
integer (int32) Required

ID of the workflow campaign

target_by
string

Specify the type of identifier used in target. Allowed values: user_id (unique client-defined ID), email, profile_id (Xtremepush profile ID).

target
string

Targeted ID, type defined by target_by. Eg. "user1".

Responses
200

200

Result
{
  "success": "True",
  "code": "200",
  "message": {
    "campaign_id": "CAMPAIGNID",
    "profile_id": "PROFILEID",
    "0": {
      "workflow_id": "WORKFLOWID",
      "new_cancelled_journeys": "0",
      "already_cancelled": "1",
      "already_completed": "0"
    },
    "new_cancelled_journeys_total": "0",
    "already_cancelled_total": "1",
    "already_completed_total": "0"
  }
}
400

400

Result
{
  "success": "False",
  "code": "400",
  "message": "General error information",
  "errors": [
    {
      "text": [
        "Detailed information about the specific error"
      ]
    }
  ]
}
Expand All
object
success
boolean
Defaulttrue
ExampleFalse
code
integer
Default0
Example400
errors
object